On 24 janv. 2013, at 22:19, Felix Knecht <felixk@apache.org> wrote:

[X] +1 : release Apache Directory LDAP API 1.0.0-M15 and ApacheDS 2.0.0-M10

For Linux Dist the apacheds.sh script isn't executable (from downloaded
*.tar.gz). This was/is also already the case for ApacheDS-M9. IMO we
should try to get the executable flags set in the tar.gz - at least for
upcomming non milestone releases.

Indeed. Great catch.
I opened a JIRA issue for it, so we don't forget about it for the next release:
https://issues.apache.org/jira/browse/DIRSERVER-1794

Thanks,
Pierre-Arnaud

Thanks and Regards
Felix

[felix@www opt]$ l apacheds-2.0.0-M10/bin/
total 20
drwxr-xr-x 2 felix felix 4096 Jan 24 22:07 ./
drwxr-xr-x 5 felix felix 4096 Jan 22 18:03 ../
-rw-r--r-- 1 felix felix 3127 Jan 22 18:03 apacheds.bat
-rw-r--r-- 1 felix felix 3621 Jan 22 18:03 apacheds.sh
-rw-r--r-- 1 felix felix 1356 Jan 22 18:03 cpappend.bat